datacache <- new.env(hash=TRUE, parent=emptyenv())

tilingmouse11r09mmrefseq <- function() showQCData("tilingmouse11r09mmrefseq", datacache)
tilingmouse11r09mmrefseq_dbconn <- function() dbconn(datacache)
tilingmouse11r09mmrefseq_dbfile <- function() dbfile(datacache)
tilingmouse11r09mmrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilingmouse11r09mmrefseq_dbInfo <- function() dbInfo(datacache)

tilingmouse11r09mmrefseqORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilingmouse11r09mmrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "tilingmouse11r09mmrefseq", "chip tilingmouse11r09mmrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilingmouse11r09mmrefseq_dbconn())
}

